classification
Title: PyType_FromSpec() lacks PyType_Ready() call
Type: crash Stage: resolved
Components: Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Trundle, amaury.forgeotdarc, jcea, loewis, python-dev
Priority: normal Keywords: patch

Created on 2012-01-29 23:17 by Trundle, last changed 2012-02-01 17:08 by jcea. This issue is now closed.

Files
File name Uploaded Description Edit
pytype_fromspec.patch Trundle, 2012-01-29 23:17 review
Messages (2)
msg152282 - (view) Author: Andreas Stührk (Trundle) Date: 2012-01-29 23:17
As already stated by Amaury in http://mail.python.org/pipermail/python-dev/2011-October/113829.html, that leads to crashes:

>>> import xxlimited
>>> repr(xxlimited.Str)
[1]    19575 segmentation fault (core dumped)  ./python
msg152297 - (view) Author: Roundup Robot (python-dev) Date: 2012-01-30 01:17
New changeset 53b8f55e08bd by Benjamin Peterson in branch 'default':
merge 3.2 (closes #13908)
http://hg.python.org/cpython/rev/53b8f55e08bd
History
Date User Action Args
2012-02-01 17:08:23jceasetnosy: + jcea
2012-01-30 01:17:20python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg152297

resolution: fixed
stage: resolved
2012-01-29 23:17:09Trundlecreate